aboutsummaryrefslogtreecommitdiffstats
path: root/meta-networking/recipes-support/geoip/geoip-perl
diff options
context:
space:
mode:
authorJoe Slater <jslater@windriver.com>2015-01-11 11:15:21 -0800
committerJoe MacDonald <joe_macdonald@mentor.com>2015-01-26 09:32:32 -0500
commit1e67431ece594809d35bdc86d608a96fedf6e9cb (patch)
tree79a04ae64902ec1f2374098a8f085a7adde367a6 /meta-networking/recipes-support/geoip/geoip-perl
parentab75a8c8d0a57411af1452f9f8f41ccf29bb0cc7 (diff)
downloadmeta-openembedded-contrib-1e67431ece594809d35bdc86d608a96fedf6e9cb.tar.gz
geoip-perl: add recipe for version 1.45
The package includes a few data files. Despite the names, these are very small databases only useful for running the perl test scripts. Signed-off-by: Joe Slater <jslater@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
Diffstat (limited to 'meta-networking/recipes-support/geoip/geoip-perl')
-rw-r--r--meta-networking/recipes-support/geoip/geoip-perl/run-ptest15
1 files changed, 15 insertions, 0 deletions
diff --git a/meta-networking/recipes-support/geoip/geoip-perl/run-ptest b/meta-networking/recipes-support/geoip/geoip-perl/run-ptest
new file mode 100644
index 0000000000..5404c247bd
--- /dev/null
+++ b/meta-networking/recipes-support/geoip/geoip-perl/run-ptest
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# The tests contain hard-coded relative paths and must be
+# executed from $pdir.
+#
+pdir=`dirname $0`
+cd ${pdir}
+for i in t/*.t ; do
+ perl ${i} 1>/dev/null 2>&1;
+ if [ $? == 0 ]; then
+ echo PASS: $i;
+ else
+ echo FAIL: $i;
+ fi;
+done